Ubiquiti airCam < 1.2.0 ubnt-streamer RTSP Service Remote Code Execution

This script is Copyright (C) 2014 Tenable Network Security, Inc.


Synopsis :

The remote device is affected by a remote code execution
vulnerability.

Description :

According to its self-reported version number, the firmware installed
on the remote host is prior to 1.2.0. It is, therefore, affected by a
remote code execution vulnerability in the 'ubnt-streamer' RTSP service
when parsing an overly large URI of a RTSP request message. An attacker
can exploit this issue to cause a denial of service or execute arbitrary
code.

See also :

http://www.nessus.org/u?b16afeb2
http://www.nessus.org/u?b598e5bd

Solution :

Upgrade to firmware version 1.2.0 or later.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)
CVSS Temporal Score : 5.9
(CVSS2#E:POC/RL:OF/RC:C)
Public Exploit Available : true

Family: Misc.

Nessus Plugin ID: 72580 ()

Bugtraq ID: 60487

CVE ID: CVE-2013-1606